Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 704986 - net-p2p/deluge-2.0.3: please stabilize
Summary: net-p2p/deluge-2.0.3: please stabilize
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Paolo Pedroni
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 705488
Blocks: 706466
  Show dependency tree
 
Reported: 2020-01-08 15:37 UTC by Mikle Kolyada
Modified: 2020-04-27 11:41 UTC (History)
4 users (show)

See Also:
Package list:
net-p2p/deluge-2.0.3-r5
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-01-08 15:37:08 UTC
lets get this stable and kill the whole 1.3.x series, that is the only package that blocks libtorrent-rasterbar PYTHON_COMPAT cleanup (py27 is on its way out in anyway).
Comment 1 Craig Andrews gentoo-dev 2020-01-08 15:50:29 UTC
Fine by me!
Comment 2 Stabilization helper bot gentoo-dev 2020-01-08 16:00:43 UTC
An automated check of this bug failed - repoman reported dependency errors (134 lines truncated): 

> dependency.bad net-p2p/deluge/deluge-2.0.3-r2.ebuild: RDEPEND: arm(default/linux/arm/17.0) ['dev-python/rencode[python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_8(-),python_single_target_python3_6(+)?,python_single_target_python3_7(+)?]']
> dependency.bad net-p2p/deluge/deluge-2.0.3-r2.ebuild: DEPEND: arm(default/linux/arm/17.0) ['net-libs/libtorrent-rasterbar[python,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_8(-),python_single_target_python3_6(+)?,python_single_target_python3_7(+)?]']
> dependency.bad net-p2p/deluge/deluge-2.0.3-r2.ebuild: RDEPEND: arm(default/linux/arm/17.0) ['dev-python/distro[python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_8(-),python_single_target_python3_6(+)?,python_single_target_python3_7(+)?]', 'dev-python/rencode[python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_8(-),python_single_target_python3_6(+)?,python_single_target_python3_7(+)?]', '>=dev-python/twisted-17.1.0[crypt,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_8(-),python_single_target_python3_6(+)?,python_single_target_python3_7(+)?]', 'dev-python/pygame[python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_8(-),python_single_target_python3_6(+)?,python_single_target_python3_7(+)?]', 'net-libs/libtorrent-rasterbar[python,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_8(-),python_single_target_python3_6(+)?,python_single_target_python3_7(+)?]']
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-01-08 16:14:03 UTC
It's not keyworded on arm/ppc.  Where's the rekeywording bug?
Comment 4 Stabilization helper bot gentoo-dev 2020-01-08 17:01:38 UTC
An automated check of this bug failed - repoman reported dependency errors (8 lines truncated): 

> dependency.bad net-p2p/deluge/deluge-2.0.3-r2.ebuild: RDEPEND: x86(default/linux/x86/17.0) ['>=dev-python/twisted-17.1.0[crypt,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_8(-),python_single_target_python3_6(+)?,python_single_target_python3_7(+)?]']
> dependency.bad net-p2p/deluge/deluge-2.0.3-r2.ebuild: RDEPEND: x86(default/linux/x86/17.0/desktop) ['>=dev-python/twisted-17.1.0[crypt,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_8(-),python_single_target_python3_6(+)?,python_single_target_python3_7(+)?]']
> dependency.bad net-p2p/deluge/deluge-2.0.3-r2.ebuild: RDEPEND: x86(default/linux/x86/17.0/desktop/gnome) ['>=dev-python/twisted-17.1.0[crypt,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_8(-),python_single_target_python3_6(+)?,python_single_target_python3_7(+)?]']
Comment 5 Paolo Pedroni 2020-01-09 10:44:38 UTC
I seem to remember that some new dependency was not present for arm/ppc, but I can't remember which one. I'll check ASAP.
Comment 6 Rolf Eike Beer archtester 2020-01-13 15:52:53 UTC
not keyworded for sparc in version 2.0, also missing at least dev-python/distro
Comment 7 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-01-15 07:17:09 UTC
ping
Comment 8 Paolo Pedroni 2020-01-15 14:11:21 UTC
arm/ppc are missing the following dependencies:
dev-python/rencode
dev-python/geoip-python (arm only, ppc has it)
Comment 9 Paolo Pedroni 2020-01-15 14:31:29 UTC
We can go ahead for amd64 and x86, anyway, I think.
Comment 10 Stabilization helper bot gentoo-dev 2020-01-15 15:00:08 UTC
An automated check of this bug failed - repoman reported dependency errors (8 lines truncated): 

> dependency.bad net-p2p/deluge/deluge-2.0.3-r2.ebuild: RDEPEND: x86(default/linux/x86/17.0) ['>=dev-python/twisted-17.1.0[crypt,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_8(-),python_single_target_python3_6(+)?,python_single_target_python3_7(+)?]']
> dependency.bad net-p2p/deluge/deluge-2.0.3-r2.ebuild: RDEPEND: x86(default/linux/x86/17.0/desktop) ['>=dev-python/twisted-17.1.0[crypt,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_8(-),python_single_target_python3_6(+)?,python_single_target_python3_7(+)?]']
> dependency.bad net-p2p/deluge/deluge-2.0.3-r2.ebuild: RDEPEND: x86(default/linux/x86/17.0/desktop/gnome) ['>=dev-python/twisted-17.1.0[crypt,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_8(-),python_single_target_python3_6(+)?,python_single_target_python3_7(+)?]']
Comment 11 Stabilization helper bot gentoo-dev 2020-01-15 15:59:58 UTC
An automated check of this bug failed - repoman reported dependency errors (8 lines truncated): 

> dependency.bad net-p2p/deluge/deluge-2.0.3-r2.ebuild: RDEPEND: x86(default/linux/x86/17.0) ['>=dev-python/twisted-17.1.0[crypt,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_8(-),python_single_target_python3_6(+)?,python_single_target_python3_7(+)?]']
> dependency.bad net-p2p/deluge/deluge-2.0.3-r2.ebuild: RDEPEND: x86(default/linux/x86/17.0/desktop) ['>=dev-python/twisted-17.1.0[crypt,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_8(-),python_single_target_python3_6(+)?,python_single_target_python3_7(+)?]']
> dependency.bad net-p2p/deluge/deluge-2.0.3-r2.ebuild: RDEPEND: x86(default/linux/x86/17.0/desktop/gnome) ['>=dev-python/twisted-17.1.0[crypt,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_8(-),python_single_target_python3_6(+)?,python_single_target_python3_7(+)?]']
Comment 12 Larry the Git Cow gentoo-dev 2020-01-18 23:57:04 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1920a10fb5bdcff8226016ddf023a53e0d11578c

commit 1920a10fb5bdcff8226016ddf023a53e0d11578c
Author:     Richard Freeman <rich0@gentoo.org>
AuthorDate: 2020-01-18 23:56:46 +0000
Commit:     Richard Freeman <rich0@gentoo.org>
CommitDate: 2020-01-18 23:56:46 +0000

    net-p2p/deluge: amd64 stable
    
    Bug: https://bugs.gentoo.org/704986
    Package-Manager: Portage-2.3.79, Repoman-2.3.16
    Signed-off-by: Richard Freeman <rich0@gentoo.org>

 net-p2p/deluge/deluge-2.0.3-r2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 13 Stabilization helper bot gentoo-dev 2020-01-19 00:00:07 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 14 Paolo Pedroni 2020-02-19 10:21:58 UTC
Let's make it -r5, while we are at it: it's much improved.
Comment 15 Andreas Sturmlechner gentoo-dev 2020-02-23 08:57:59 UTC
If we don't want to wait that long (in case twisted-19.10.0 stabilisation is blocked for a longer time) then twisted-18.4.0 plus the dependencies listed in bug 705488 would be a possible intermediate step to get 2.0.3 done and cleanup old. But someone should establish wether tests do run successfully with 18.4.0.
Comment 16 Agostino Sarubbo gentoo-dev 2020-02-24 13:19:48 UTC
amd64 stable
Comment 17 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-03-14 18:29:09 UTC
I suggest we simply drop x86 support from deluge for now, twisted seems to be pita here.
Comment 18 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-03-25 07:27:13 UTC
x86, ping.
Comment 19 NATTkA bot gentoo-dev 2020-04-15 05:56:53 UTC
Unable to check for sanity:

> dependent bug #710566 has errors
Comment 20 NATTkA bot gentoo-dev 2020-04-15 06:33:04 UTC
All sanity-check issues have been resolved
Comment 21 Agostino Sarubbo gentoo-dev 2020-04-27 11:41:00 UTC
x86 stable. Closing.